/*******************************************************************************
 * Copyright (c) 2011, 2013 Oracle and/or its affiliates. All rights reserved.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 and Eclipse Distribution License v. 1.0
 * which accompanies this distribution.
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *     Oracle - initial API and implementation
 *
 ******************************************************************************/
package org.eclipse.persistence.tools.utility.iterator;

/**
 * A <code>RepeatingElementIterator</code> provides an {@link java.util.Iterator}
 * that returns a specific object a specific number of times.
 *
 * @param <E> the type of elements returned by the iterator
 *
 * @see org.eclipse.jpt.common.utility.internal.collection.RepeatingElementList
 */
public class RepeatingElementIterator<E>
	extends AbstractRepeatingElementIterator<E>
{
	private final E element;


	public RepeatingElementIterator(E element, int size) {
		super(size);
		this.element = element;
	}

	@Override
	protected E getElement() {
		return this.element;
	}
}